# Reference

## boost::redis::error

Generic errors.

### Synopsis

Declared in `<boost/redis/error.hpp>`

    enum class error : int;

### Members

Name | Description
`invalid_data_type` | Invalid RESP3 type.
`not_a_number` | Can't parse the string as a number.
`exceeeds_max_nested_depth` | The maximum depth of a nested response was exceeded.
`unexpected_bool_value` | Got non boolean value.
`empty_field` | Expected field value is empty.
`expects_resp3_simple_type` | Expects a simple RESP3 type but got an aggregate.
`expects_resp3_aggregate` | Expects aggregate.
`expects_resp3_map` | Expects a map but got other aggregate.
`expects_resp3_set` | Expects a set aggregate but got something else.
`nested_aggregate_not_supported` | Nested response not supported.
`resp3_simple_error` | Got RESP3 simple error.
`resp3_blob_error` | Got RESP3 blob_error.
`incompatible_size` | Aggregate container has incompatible size.
`not_a_double` | Not a double
`resp3_null` | Got RESP3 null.
`not_connected` | There is no stablished connection.
`resolve_timeout` | Resolve timeout
`connect_timeout` | Connect timeout
`pong_timeout` | Connect timeout
`ssl_handshake_timeout` | SSL handshake timeout
`sync_receive_push_failed` | Can't receive push synchronously without blocking
`incompatible_node_depth` | Incompatible node depth.
`resp3_hello` | Resp3 hello command error
`unix_sockets_unsupported` | The configuration specified a UNIX socket address, but UNIX sockets are not supported by the system.
`unix_sockets_ssl_unsupported` | The configuration specified UNIX sockets with SSL, which is not supported.

### Non-Member Functions

Name | Description
`make_error_code` | Creates a error_code object from an error.

Created with MrDocs